
function threePost_initOptions() {

	try {
		
		var oPrefs = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefService).getBranch("");

		if(oPrefs.prefHasUserValue("extensions.3iempost.newtab")) {
		    document.getElementById("extensions.3iempost.newtab").checked = oPrefs.getBoolPref("extensions.3iempost.newtab");
		}

		if(oPrefs.prefHasUserValue("extensions.3iempost.htmlcopy")) {
			document.getElementById("extensions.3iempost.htmlcopy").checked = oPrefs.getBoolPref("extensions.3iempost.htmlcopy");
		}

		if(oPrefs.prefHasUserValue("extensions.3iempost.randtitle")) {
			document.getElementById("extensions.3iempost.randtitle").checked = oPrefs.getBoolPref("extensions.3iempost.randtitle");
		}

		if(oPrefs.prefHasUserValue("extensions.3iempost.copyurl")) {
			document.getElementById("extensions.3iempost.copyurl").checked = oPrefs.getBoolPref("extensions.3iempost.copyurl");
		}

		if(oPrefs.prefHasUserValue("extensions.3iempost.newfocus")) {
			document.getElementById("extensions.3iempost.newfocus").checked = oPrefs.getBoolPref("extensions.3iempost.newfocus");
		}
								
	} catch(err) { 
		
		alert("An unknown error occurred\n"+ err); 
	}
	return true;
}

function threePost_saveOptions() {
	
	try {
		
		var oPrefs = Components.classes["@mozilla.org/preferences-service;1"].getService(Components.interfaces.nsIPrefService).getBranch("");
		
		oPrefs.setBoolPref("extensions.3iempost.newtab", document.getElementById("extensions.3iempost.newtab").checked);
		oPrefs.setBoolPref("extensions.3iempost.htmlcopy", document.getElementById("extensions.3iempost.htmlcopy").checked);
		oPrefs.setBoolPref("extensions.3iempost.randtitle", document.getElementById("extensions.3iempost.randtitle").checked);
		oPrefs.setBoolPref("extensions.3iempost.copyurl", document.getElementById("extensions.3iempost.copyurl").checked);
		oPrefs.setBoolPref("extensions.3iempost.newfocus", document.getElementById("extensions.3iempost.newfocus").checked);
		
	} catch(err) { 
		
		alert("An unknown error occurred\n" + err); 
	}
	return true;	
}